From 92fb83a9744ed114e748c67258b7377523fd9b04 Mon Sep 17 00:00:00 2001
From: 嘉渊 <wangjiaming.wjm@alibaba-inc.com>
Date: 星期四, 11 五月 2023 14:37:23 +0800
Subject: [PATCH] update repo
---
egs/librispeech_100h/conformer/run.sh | 12 ++++++++----
1 files changed, 8 insertions(+), 4 deletions(-)
diff --git a/egs/librispeech_100h/conformer/run.sh b/egs/librispeech_100h/conformer/run.sh
index 7d63125..d60e827 100755
--- a/egs/librispeech_100h/conformer/run.sh
+++ b/egs/librispeech_100h/conformer/run.sh
@@ -19,8 +19,8 @@
token_type=bpe
type=sound
scp=wav.scp
-stage=3
-stop_stage=4
+stage=0
+stop_stage=0
# feature configuration
feats_dim=80
@@ -79,8 +79,12 @@
if [ ${stage} -le 0 ] && [ ${stop_stage} -ge 0 ]; then
echo "stage 0: Data preparation"
# Data preparation
- for x in dev-clean dev-other test-clean test-other train-clean-100; do
- local/data_prep.sh ${raw_data}/LibriSpeech/${x} ${feats_dir}/data/${x//-/_}
+# for x in dev-clean dev-other test-clean test-other train-clean-100; do
+# local/data_prep.sh ${raw_data}/LibriSpeech/${x} ${feats_dir}/data/${x//-/_}
+# done
+ dev_sets="dev_clean dev_other"
+ for file in wav.scp text; do
+ ( for f in $dev_sets; do cat $feats_dir/data/$f/$file; done ) | sort -k1 > $feats_dir/data/$valid_set/$file || exit 1;
done
fi
--
Gitblit v1.9.1